package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import java.util.ArrayList;
import java.util.List;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/RemoveFromICollAction.class */
public class RemoveFromICollAction extends LifeAction {
    private String iCollName;
    private String fieldName;
    private String equalField;

    public String execute(Context context) throws GENEException {
        try {
            String equalValue = (String) context.get(this.equalField);
            if (equalValue != null) {
                List removeIndexList = new ArrayList();
                IndexedCollection icoll = context.getDataElement(this.iCollName);
                int size = icoll.size();
                for (int i = 0; i < size; i++) {
                    String compareValue = (String) ((KeyedCollection) icoll.get(i)).get(this.fieldName);
                    if (equalValue.equals(compareValue)) {
                        removeIndexList.add(Integer.valueOf(i));
                    }
                }
                for (int i2 = removeIndexList.size() - 1; i2 >= 0; i2--) {
                    Integer removeIndex = (Integer) removeIndexList.get(i2);
                    icoll.remove(removeIndex.intValue());
                }
                return "0";
            }
            return "0";
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw empe;
        }
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public void setEqualField(String equalField) {
        this.equalField = equalField;
    }
}
